SyncMutex::unlock
SyncSemaphore::__construct
Sync
PHP Manual

# The SyncSemaphore class

(PECL sync >= 1.0.0)

## Introduction

A cross-platform, native implementation of named and unnamed sempahore objects.

A semaphore restricts access to a limited resource to a limited number of instances. Semaphores differ from mutexes in that they can allow more than one instance to access a resource at one time while a mutex only allows one instance at a time.

## Class synopsis

SyncSemaphore {
/* Methods */
public __construct ([ string `$name` [, integer `$initialval` [, bool `$autounlock` ]]] )
public bool lock ([ integer `$wait` ] )
public bool unlock ([ integer `&$prevcount` ] )
}

## Table of Contents

- SyncSemaphore::__construct — Constructs a new SyncSemaphore object
- SyncSemaphore::lock — Decreases the count of the semaphore or waits
- SyncSemaphore::unlock — Increases the count of the semaphore

SyncMutex::unlock
SyncSemaphore::__construct
Sync
PHP Manual